using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TextHandling
{
    class Example7
    {
        // Listing 16-7
        public virtual int Read(char[] buffer, int index, int count) { return 0; }
        public virtual int ReadBlock(char[] buffer, int index, int count) { return 0; }

    }
}
